<script>
    export let selected;
</script>

<select bind:value={selected}>

    <option value="plain">		Plain Text		</option>
    <option value="base64">		base64		</option>
    <option value="morse">		Morse Code	</option>
    <option value="caesar">		Caesar		</option>
    <option value="vigenere">	Vigenere	</option>

    <!-- <optgroup label="lookups">
        <option value="password">Have I been pwned?</option>
    </optgroup> -->
    
</select>

<style>
    select {
		border-radius: var(--border-radius-small);
		padding: 0.5em;
		border: 1px solid var(--background-harder);
		/* border: 1px solid var(--accent-secondary); */
		box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 12px;
    }
</style>